<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21678"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RDSLoginPwdCodeVC">
            <connections>
                <outlet property="accountTF" destination="WkB-7F-6Ft" id="ibF-9w-6Ot"/>
                <outlet property="agreeBtn" destination="Rh0-e6-uZv" id="YF6-H5-ZFC"/>
                <outlet property="pwdTF" destination="Ess-oS-ZGn" id="Hev-Xo-T8P"/>
                <outlet property="view" destination="mnr-ox-Vlg" id="lhB-rJ-8pF"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="mnr-ox-Vlg">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="FhI-eS-aEt">
                    <rect key="frame" x="30" y="169" width="315" height="62"/>
                    <subviews>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="bottom" placeholder="请输入您的手机号" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="WkB-7F-6Ft">
                            <rect key="frame" x="0.0" y="3" width="315" height="51"/>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                            <textInputTraits key="textInputTraits" keyboardType="phonePad"/>
                        </textField>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="m2P-T9-uOA">
                            <rect key="frame" x="0.0" y="61" width="315" height="1"/>
                            <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.095756278129999997" colorSpace="custom" customColorSpace="calibratedRGB"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="7iR-8D-bdv"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="WkB-7F-6Ft" firstAttribute="top" secondItem="FhI-eS-aEt" secondAttribute="top" constant="3" id="AdN-rp-IOv"/>
                        <constraint firstAttribute="bottom" secondItem="WkB-7F-6Ft" secondAttribute="bottom" constant="8" id="KCA-If-tfr"/>
                        <constraint firstItem="WkB-7F-6Ft" firstAttribute="leading" secondItem="FhI-eS-aEt" secondAttribute="leading" id="Lhd-B5-QiB"/>
                        <constraint firstAttribute="trailing" secondItem="m2P-T9-uOA" secondAttribute="trailing" id="MPD-hM-iGC"/>
                        <constraint firstAttribute="bottom" secondItem="m2P-T9-uOA" secondAttribute="bottom" id="WEB-pb-sTr"/>
                        <constraint firstItem="WkB-7F-6Ft" firstAttribute="centerX" secondItem="FhI-eS-aEt" secondAttribute="centerX" id="Wnb-AV-lNf"/>
                        <constraint firstAttribute="width" secondItem="FhI-eS-aEt" secondAttribute="height" multiplier="280:55" id="wgV-tZ-L82"/>
                        <constraint firstItem="m2P-T9-uOA" firstAttribute="leading" secondItem="FhI-eS-aEt" secondAttribute="leading" id="zr9-km-oAP"/>
                    </constraints>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="HRU-xP-9Qk">
                    <rect key="frame" x="30" y="255" width="315" height="62"/>
                    <subviews>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="bottom" placeholder="请输入密码" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="Ess-oS-ZGn">
                            <rect key="frame" x="0.0" y="3" width="215" height="51"/>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                            <textInputTraits key="textInputTraits" keyboardType="alphabet" secureTextEntry="YES"/>
                        </textField>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="cJe-ok-v0V">
                            <rect key="frame" x="235" y="31" width="80" height="30"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="30" id="Ns5-Pc-8LO"/>
                                <constraint firstAttribute="width" constant="80" id="eyU-3f-orz"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="14"/>
                            <state key="normal" title="忘记密码？">
                                <color key="titleColor" red="0.027450980390000001" green="0.70196078429999997" blue="0.72549019609999998" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="p_toForgetPwd" destination="-1" eventType="touchUpInside" id="fGT-IB-hbS"/>
                            </connections>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="zda-TH-ZGf">
                            <rect key="frame" x="0.0" y="61" width="315" height="1"/>
                            <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.095756278129999997" colorSpace="custom" customColorSpace="calibratedRGB"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="KNL-0i-Kpp"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="Ess-oS-ZGn" firstAttribute="leading" secondItem="HRU-xP-9Qk" secondAttribute="leading" id="Dv9-Eh-b9i"/>
                        <constraint firstItem="zda-TH-ZGf" firstAttribute="leading" secondItem="HRU-xP-9Qk" secondAttribute="leading" id="GoV-gu-syj"/>
                        <constraint firstAttribute="trailing" secondItem="cJe-ok-v0V" secondAttribute="trailing" id="LAx-Sd-ubc"/>
                        <constraint firstItem="Ess-oS-ZGn" firstAttribute="top" secondItem="HRU-xP-9Qk" secondAttribute="top" constant="3" id="MSs-IM-3Mj"/>
                        <constraint firstAttribute="trailing" secondItem="zda-TH-ZGf" secondAttribute="trailing" id="Zfi-TE-tpA"/>
                        <constraint firstAttribute="bottom" secondItem="Ess-oS-ZGn" secondAttribute="bottom" constant="8" id="b6L-eF-o1G"/>
                        <constraint firstItem="zda-TH-ZGf" firstAttribute="top" secondItem="cJe-ok-v0V" secondAttribute="bottom" id="lYt-0J-0UP"/>
                        <constraint firstAttribute="bottom" secondItem="zda-TH-ZGf" secondAttribute="bottom" id="plu-bV-hpP"/>
                        <constraint firstItem="cJe-ok-v0V" firstAttribute="leading" secondItem="Ess-oS-ZGn" secondAttribute="trailing" constant="20" id="yZW-EX-BLm"/>
                    </constraints>
                </view>
                <button opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="7Ik-0I-3Xg">
                    <rect key="frame" x="37.5" y="372" width="300" height="48"/>
                    <color key="backgroundColor" red="0.027450980390000001" green="0.70196078429999997" blue="0.72549019609999998" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="48" id="KTN-pV-umm"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                    <state key="normal" title="登录">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="string" keyPath="layer.cornerRadius" value="8"/>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="p_onLogin" destination="-1" eventType="touchUpInside" id="5eO-hP-aSP"/>
                    </connections>
                </button>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="密码登录" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="T6T-ra-uGR">
                    <rect key="frame" x="30" y="82" width="121.5" height="36"/>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="30"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <button opaque="NO" contentMode="scaleToFill" enabled="NO" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="B0m-fG-O3g">
                    <rect key="frame" x="30" y="76" width="122" height="48"/>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="30"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="密码登录">
                        <color key="titleColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <connections>
                        <action selector="p_onPwdBtnClick:" destination="-1" eventType="touchUpInside" id="Tdg-Ho-ey1"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="LqI-4u-E1g">
                    <rect key="frame" x="263" y="31" width="82" height="32"/>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="验证码登录">
                        <color key="titleColor" red="0.1529411765" green="0.18039215689999999" blue="0.23137254900000001" alpha="1" colorSpace="calibratedRGB"/>
                    </state>
                    <connections>
                        <action selector="p_onVerifyCodeLogin" destination="-1" eventType="touchUpInside" id="6rB-nu-Gii"/>
                    </connections>
                </button>
                <stackView opaque="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="A83-Fv-axu">
                    <rect key="frame" x="46" y="622" width="283" height="30"/>
                    <subviews>
                        <button opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="249" contentHorizontalAlignment="left" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Rh0-e6-uZv">
                            <rect key="frame" x="0.0" y="0.0" width="110" height="30"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="30" id="01c-RE-mv6"/>
                                <constraint firstAttribute="width" constant="110" id="fNR-EF-jKB"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                            <inset key="titleEdgeInsets" minX="7" minY="0.0" maxX="0.0" maxY="0.0"/>
                            <inset key="imageEdgeInsets" minX="2" minY="0.0" maxX="0.0" maxY="0.0"/>
                            <state key="normal" title="我已阅读并同意" image="icon_check">
                                <color key="titleColor" white="0.33333333329999998" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            </state>
                            <state key="selected" image="icon_check_sel"/>
                            <connections>
                                <action selector="p_onAgreeBtnClick:" destination="-1" eventType="touchUpInside" id="3cW-yg-Js4"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" horizontalCompressionResistancePriority="751" contentHorizontalAlignment="left" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="y04-5B-XKv">
                            <rect key="frame" x="110" y="0.0" width="74" height="30"/>
                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                            <state key="normal" title="《用户协议》">
                                <color key="titleColor" red="0.027450980390000001" green="0.70196078429999997" blue="0.72549019609999998" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="以及" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="5iv-7s-LKk">
                            <rect key="frame" x="184" y="0.0" width="25" height="30"/>
                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                            <color key="textColor" white="0.33333333329999998" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" horizontalCompressionResistancePriority="751" contentHorizontalAlignment="left" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="TGP-d2-qvQ">
                            <rect key="frame" x="209" y="0.0" width="74" height="30"/>
                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                            <state key="normal" title="《隐私政策》">
                                <color key="titleColor" red="0.027450980390000001" green="0.70196078429999997" blue="0.72549019609999998" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                        </button>
                    </subviews>
                </stackView>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Rr6-QD-h4Q">
                    <rect key="frame" x="30" y="123" width="0.0" height="0.0"/>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="12"/>
                    <color key="textColor" red="0.66666666669999997" green="0.66666666669999997" blue="0.66666666669999997" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                </label>
            </subviews>
            <viewLayoutGuide key="safeArea" id="vI2-oz-40K"/>
            <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <constraints>
                <constraint firstItem="B0m-fG-O3g" firstAttribute="leading" secondItem="vI2-oz-40K" secondAttribute="leading" constant="30" id="01C-PF-Vzq"/>
                <constraint firstItem="HRU-xP-9Qk" firstAttribute="width" secondItem="FhI-eS-aEt" secondAttribute="width" id="6nO-Ze-pP6"/>
                <constraint firstItem="vI2-oz-40K" firstAttribute="trailing" secondItem="LqI-4u-E1g" secondAttribute="trailing" constant="30" id="9xK-aW-T5P"/>
                <constraint firstItem="FhI-eS-aEt" firstAttribute="leading" secondItem="vI2-oz-40K" secondAttribute="leading" constant="30" id="Cgb-O3-gJP"/>
                <constraint firstItem="7Ik-0I-3Xg" firstAttribute="centerX" secondItem="mnr-ox-Vlg" secondAttribute="centerX" id="Gfu-FE-JFA"/>
                <constraint firstItem="A83-Fv-axu" firstAttribute="centerX" secondItem="mnr-ox-Vlg" secondAttribute="centerX" id="HnL-XL-OrB"/>
                <constraint firstItem="Rr6-QD-h4Q" firstAttribute="top" secondItem="T6T-ra-uGR" secondAttribute="bottom" constant="5" id="L8b-fm-NRb"/>
                <constraint firstItem="B0m-fG-O3g" firstAttribute="centerY" secondItem="mnr-ox-Vlg" secondAttribute="centerY" multiplier="0.3" id="Q4o-tp-589"/>
                <constraint firstItem="7Ik-0I-3Xg" firstAttribute="width" secondItem="mnr-ox-Vlg" secondAttribute="width" multiplier="300:375" id="Qfa-l3-127"/>
                <constraint firstItem="FhI-eS-aEt" firstAttribute="centerX" secondItem="mnr-ox-Vlg" secondAttribute="centerX" id="SqY-OF-i0f"/>
                <constraint firstItem="LqI-4u-E1g" firstAttribute="top" secondItem="vI2-oz-40K" secondAttribute="top" constant="11" id="SuN-C5-rjy"/>
                <constraint firstItem="HRU-xP-9Qk" firstAttribute="leading" secondItem="FhI-eS-aEt" secondAttribute="leading" id="UqQ-Ml-V8x"/>
                <constraint firstItem="T6T-ra-uGR" firstAttribute="leading" secondItem="vI2-oz-40K" secondAttribute="leading" constant="30" id="WGD-V0-hEe"/>
                <constraint firstItem="HRU-xP-9Qk" firstAttribute="top" secondItem="FhI-eS-aEt" secondAttribute="bottom" constant="24" id="kDs-a9-VjB"/>
                <constraint firstItem="7Ik-0I-3Xg" firstAttribute="top" secondItem="HRU-xP-9Qk" secondAttribute="bottom" constant="55" id="kH0-U5-w8b"/>
                <constraint firstItem="T6T-ra-uGR" firstAttribute="centerY" secondItem="mnr-ox-Vlg" secondAttribute="centerY" multiplier="0.3" id="nv1-iv-wBo"/>
                <constraint firstItem="Rr6-QD-h4Q" firstAttribute="leading" secondItem="T6T-ra-uGR" secondAttribute="leading" id="oGh-ae-2uj"/>
                <constraint firstItem="FhI-eS-aEt" firstAttribute="centerY" secondItem="mnr-ox-Vlg" secondAttribute="centerY" multiplier="0.6" id="v9r-ir-GiN"/>
                <constraint firstItem="HRU-xP-9Qk" firstAttribute="height" secondItem="FhI-eS-aEt" secondAttribute="height" id="xng-TJ-O1h"/>
                <constraint firstItem="vI2-oz-40K" firstAttribute="bottom" secondItem="A83-Fv-axu" secondAttribute="bottom" constant="15" id="zZc-ez-SLb"/>
            </constraints>
            <variation key="default">
                <mask key="subviews">
                    <exclude reference="T6T-ra-uGR"/>
                    <exclude reference="Rr6-QD-h4Q"/>
                </mask>
            </variation>
            <point key="canvasLocation" x="31.199999999999999" y="53.523238380809602"/>
        </view>
    </objects>
    <resources>
        <image name="icon_check" width="16" height="16"/>
        <image name="icon_check_sel" width="16" height="16"/>
    </resources>
</document>
